# -*- coding: utf-8 -*-

"""Test Logos

Utilisation :
    créer les variables d'environnement: (indiquer les valeurs
    pour le serveur ScoDoc que vous voulez interroger)

    export SCODOC_URL="https://scodoc.xxx.net/"
    export SCODOC_USER="xxx"
    export SCODOC_PASSWD="xxx"
    export CHECK_CERTIFICATE=0 # ou 1 si serveur de production avec certif SSL valide

    (on peut aussi placer ces valeurs dans un fichier .env du répertoire tests/api).

    Lancer :
        pytest tests/api/test_api_evaluations.py
"""

import requests

from tests.api.setup_test_api import API_URL, CHECK_CERTIFICATE, api_headers


def test_evaluations(api_headers):
    """
    Test 'evaluations'

    Route :
        - /evaluations/<int:moduleimpl_id>
    """
    r = requests.get(
        API_URL + "/evaluations/1",
        headers=api_headers,
        verify=CHECK_CERTIFICATE,
    )
    assert r.status_code == 200
    # TODO


# TODO car pas d'évaluations créées à ce stade
# def test_evaluation_notes(api_headers):
#     """
#     Test 'evaluation_notes'
#
#     Route :
#         - /evaluation/eval_notes/<int:evaluation_id>
#     """
#     r = requests.get(
#         API_URL + "/evaluation/eval_notes/1",
#         headers=api_headers,
#         verify=CHECK_CERTIFICATE,
#     )
#     assert r.status_code == 200
#     # TODO
